//+------------------------------------------------------------------+
//|                                                   WriteTicks.mq4 |
//|                        Copyright 2018, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2018, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict

extern string file_name="ticks.csv";
extern int TF=1;

int ticks;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---
  static datetime last_time=0; 
  ticks=ticks+1;
  if(GetTickCount()-last_time>=TF*60000)
    {
    last_time=GetTickCount();
    int f=FileOpen(file_name,FILE_CSV|FILE_READ|FILE_WRITE);
    if(f>0)
      {
      FileSeek(f,0,SEEK_END);
      FileWrite(f,TimeToStr(TimeCurrent(),TIME_DATE),TimeToStr(TimeCurrent(),TIME_SECONDS),ticks);
      FileClose(f);
      ticks=0;
      }
    } 
  }
//+------------------------------------------------------------------+
